html {
  height: 100%;
}

body {
  display: flex;
  width: 100%;
  height: 100%;
  margin:0;
  padding:0;
  -webkit-user-select: none;
}

hr {
  width: 50%;
}

.ecran {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  background-color: #fefefe;
  opacity: 0.5;
  z-index: 9999;
}

.messages--vert {
  color: green;
}

.messages--orange {
  color: #df7f09;
}

.zoneAction {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 75%;
  height: 100%;
}

.zoneAction_modele {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 40%;
  box-sizing: border-box;
  color: black;
  font-size: 5vmin;
  background-color: #f29f04;
  border-color: white;
  border-style: solid;
  border-top-width: 10px;
  border-left-width: 5px;
  border-bottom-width: 5px;
  border-right-width: 10px;
  padding: 10px;
}

.zoneAction_annonces {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  box-sizing: border-box;
  color: #f32415;
  background-color: #f2e2c4;
  height: 20%;
  font-size: 3vmin;
  font-weight: bold;
  border-color: white;
  border-style: solid;
  border-left-width: 5px;
  border-top-width: 5px;
  border-bottom-width: 5px;
  border-right-width: 10px;
  padding: 10px;
}

.zoneAction_annonces--hidden {
    display: none;
}

.zoneExercice {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 40%;
  background-color: #389bf2;
  border-color: white;
  border-style: solid;
  border-left-width: 5px;
  border-top-width: 5px;
  border-bottom-width: 10px;
  border-right-width: 10px;
}

.zoneExercice_formSaisie {
  height: 50%;
  width: 80%;
  display: flex;
  flex-direction: column;
}

.zoneExercice_formSaisie_input {
  font-size: 3vmin;
  border: solid black 1px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.zoneExercice_formSaisie_textarea {
  resize: none;
  font-size: 3vmin;
  border: solid black 1px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.zoneExercice_formSaisie_input:disabled,
.zoneExercice_formSaisie_textarea:disabled {
  background-color: #bababa;
  color: black;
}

.zoneExercice_formSaisie_input--etroit {
  width: 15%;
}

.zoneExercice_formSaisie_input--moyen {
  width: 25%;
}

.zoneExercice_formSaisie_input--large {
  width: 40%;
}

.zoneExercice_formSaisie_textarea--etroit {
  width: 40%;
}

.zoneExercice_formSaisie_textarea--moyen {
  width: 60%;
}

.zoneExercice_formSaisie_textarea--large {
  width: 100%;
}

.zoneActions_boutons {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  width: 50%;
}

.zoneAnnexe {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 25%;
  height: 100%;
  background-color: #f2e2c4;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-left-width: 10px;
  border-top-width: 10px;
  border-bottom-width: 10px;
  border-right-width: 5px;
  font-size: 1.9vmin;
  line-height: 2.5vmin;
  padding-top: 8rem;
}

.zoneAnnexe_p {
  text-align: left;
  margin-left: 3%;
}

.formNiveau {
  margin-top: 2%;
}

.formNiveau_titre {
  font-weight: bold;
  margin-top: 1%;
  font-size: 2.5vmin;
}

.zoneResultats {
  flex-direction: column;
  width: 92%;
  height: 30%;
  box-sizing: border-box;
  border: solid black 1px;
  border-radius: 15px;
  margin: 4%;
}

.zoneResultats_titre {
  position: relative;
  float: left;
  margin-left: 3%;
  margin-top: -4%;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #f2e2c4;
}

.zoneResultats_corps {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
}

.blocResultats_bloc1 {
  height: 30%;
}

.blocResultats_bloc2 {
  height: 45%;
}

.zoneResultats_boutons {
 height: 18%;
 margin: auto;
}

.labelResultat {
  margin-left: 2%;
}

.blocResultats {
  display: Flex;
  flex-direction: column;
  width: 100%;
  justify-content: center;
}

.blocResultats_titre {
  font-weight: bold;
  display: flex;
 justify-content: center;
 margin-bottom: 6px;
}

.ligneResultat {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.resultat {
  color: black;
  font-weight: bold;
  padding-right: 2%;
}

.zoneAnnexe_zoneSelection {
  width: 100%;
  height: 70%;
  margin-left: 2%;
}

.zoneAnnexe_zoneSelection select {
  max-width: 96%;
  margin-bottom: 2%;
}

.zoneAnnexe_zoneSelection_radio {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  border: 1px solid #000;
  transition: 0.2s all linear;
  margin-right: 5px;
  position: relative;
  top: 4px;
}

.zoneAnnexe_zoneSelection_radio:checked {
  border: 6px solid black;
}

.zoneAnnexe_zoneSelection_radio:checked + label {
  background-color: black;
  color: white;
  padding: 5px;
}

.zoneAnnexe_zoneSelection_radio:hover {
  cursor: pointer;
}
.zoneAnnexe_zoneSelection_label:hover {
  cursor: pointer;
}

.modaleNom {
  height: 22%;
  width: 30%;
  left: 35%;
  top: 20%;
  background-color:#c8c8c8;
  font-size: 3vmin;
}

.formNom {
  justify-content: center;
  align-items: center;
}

.modaleNom_input {
  width: 95%;
}

.modaleResultats {
  z-index: 99999;
  height: 100%;
  width: 75%;
  position: fixed;
  left: 12%;
  top: 0;
  background-color: #fff;
  padding: 15px;
  box-sizing: border-box;
  font-size: 1.6vmin;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.5), 0 6px 20px 0 rgba(0,0,0,0.2);
}

.modaleResultats_tabResultats {
  margin: auto;
  padding-top: inherit;
}
.modaleResultats_tabResultats_tab {
  border-collapse: collapse;
}

.modaleResultats_commandes {
  margin-top: 2%;
}

.modaleResultats_entete {
  width: 100%;
  height: 8%;
  margin: auto;
}

.modaleResultats_entete_titre {
  text-align: center;
  font-size: 2.5vmin;
}

.modaleResultats_ligneNom {
  font-size: 2.5vmin;
  width: 100%;
  text-align: center;
  margin: auto;
}

.modaleResultats_tabResultats_titreCol,
.modaleResultats_tabResultats_titreCell {
  font-weight: bold;
  border:thin solid black;
  padding: 5px;
}

.modaleResultats_tabResultats_cell_intitules {
  text-align: left;
  border-bottom: thin solid black;
  padding: 5px;
}

.modaleResultats_tabResultats_cell_resultats {
  text-align: right;
  vertical-align: top;
  border-right: thin solid black;
  border-bottom: thin solid black;
  padding: 5px;
}

.modaleInfos {
  height: 85%;
  width: 90%;
  left: 5%;
  top: 8%;
  background-color: #f3fff9;
  font-size: 2vmin;
}

.modaleInfos_corps {
  height:90%;
}

.modaleInfos_titre {
  margin-top: 0.2em;
  font-size: 2.5vmin;
  color: red;
}

.modaleInfos_soustitre {
  margin-top: 0.2em;
  font-size: 2.2vmin;
  color: red;
}

.modaleInfos_exemple {
  color: blue;
  font-style: italic;
}
.consigne {
  color: black;
  text-align: center;
  font-size: 3vh;
  font-weight: normal;
}

.lb-inactif {
  opacity: 0;
}

.lb-actif {
  opacity: 1;
}

@media print {
  .noprint {
     display: none;
   }
 }

@media screen and (orientation: portrait) {
  body {
    flex-direction: column;
  }
  .zoneAnnexe {
    flex-direction: row;
    width: 100%;
    height: 50%;
    font-size: 2vw;
    border-bottom-width: 5px;
    border-right-width: 10px;
  }
 .zoneAction {
    width: 100%;
    height: 50%;
  }
  .zoneAction_modele {
    border-top-width: 5px;
    border-left-width: 10px;
  }
  .zoneAction_annonces {
    border-left-width: 10px;
    font-size: 3vw;
  }
  .zoneExercice {
    border-bottom-width: 10px;
    border-left-width: 10px;
  }
  .zoneExercice_formSaisie {
    height: 70%;
  }
.zoneResultats {
    width: 50%;
    height: 88%;
  }
  .zoneAnnexe_zoneSelection {
    width: 50%;
    height: 100%;
  }

 .modaleNom {
    font-size: 2vh;
  }
  .consigne {
    font-size: 2.5vw;
  }
}
